package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DataConfigSelectFieldEntryCollection extends AbstractObjectCollection 
{
    public DataConfigSelectFieldEntryCollection()
    {
        super(DataConfigSelectFieldEntryInfo.class);
    }
    public boolean add(DataConfigSelectFieldEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DataConfigSelectFieldEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DataConfigSelectFieldEntryInfo item)
    {
        return removeObject(item);
    }
    public DataConfigSelectFieldEntryInfo get(int index)
    {
        return(DataConfigSelectFieldEntryInfo)getObject(index);
    }
    public DataConfigSelectFieldEntryInfo get(Object key)
    {
        return(DataConfigSelectFieldEntryInfo)getObject(key);
    }
    public void set(int index, DataConfigSelectFieldEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DataConfigSelectFieldEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DataConfigSelectFieldEntryInfo item)
    {
        return super.indexOf(item);
    }
}